@import 'middle-div';
@import 'right-side-information';
@import 'left-menu';


$bg-color: #F4FAFF;
$bg-color-left-div:#7030A0;


.dashboard {
    display: flex;
    min-height: 100%;
    overflow-x: hidden;
    position: relative;
    width: 100%;
    height: 100%;
    background-color: #d6a6fa;
}

.white-background {

    /* White background */
    transition: opacity 1s;
    position: relative;
    width: 100%;
    height: 100%;
    min-height: 1200px;

    top: 0%;

    /* Neutral/neutral-0 */
    background: #FFFFFF;

}


.top-elements {
    /* Top elements */

    position: relative;
    display: flex;
    height: 48px;
    left: 80%;

}

.calendar {
    /* Calendar */

    width: 240px;
    height: 48px;
    left: 733px;
    top: 55px;

}

.retangle {
    /* Rectangle */


    position: relative;
    display: flex;
    padding: 10px;
    margin: 10px;
    left: 0%;
    right: 0%;
    top: 0%;
    bottom: 0%;
    justify-content: space-around;
    align-items: center;

    /* Neutral/neutral-0 */

    background: #FFFFFF;
    /* shadow-xs */

    box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.1);
    border-radius: 24px;
}

.day {
    /* Today, May 19 */


    position: relative;
    display: flex;
    height: 24px;
    left: 0%;
    right: 0%;
    top: calc(50% - 45px/2);

    /* font-size-s/medium */

    font-family: 'Raleway';
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 24px;
    /* identical to box height, or 171% */

    color: #85A5C2;
}

.hour {
    /* 11:24 AM */


    position: relative;
    height: 24px;
    left: 0%;
    right: 0%;
    top: calc(50% - 45px/2);

    /* font-size-s/medium */

    font-family: 'Raleway';
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 24px;
    /* identical to box height, or 171% */


    color: #85A5C2;
}


.fa-angle-double-right {
    font-size: 15px;
    color: #AE79D7;
    position: relative;
    left: 50%;

}

.fa-user-secret {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0px;
    gap: 8px;
    color: orange;
    position: relative;
    width: 32px;
    height: 32px;
    left: 16px;
    top: 12px;
    font-size: 36px;
}



.hr {

    border-bottom: 1px solid opacify($color: #93B0C8, $amount: 0.3);

}

.link {
    color: #FFFFFF;
    transition: display 1s;
    position: relative;

    &:hover {
        color: #93B0C8;
    }

}

.icon-hover {
    transition: display ease 3s;
    margin-left: 10px;
    position: relative;
    display: none;
    font-size: medium;
}

.hide-menu {
    transform: translateX(125%);
}

.is_open {
    width: calc(100% - 400px);
}

.right-button {
    cursor: pointer;
    box-shadow: -1px 1px 4px rgba(0, 0, 0, 0.50);
}

.left-arrows-style-change {
    left: 10%;
}

.content-change {
    opacity: 50%;
}

.left-menu-change {
    width: 250px;
}

